## slides fosscomm-src

=== Makefile ===
texfiles = $(wildcard *.tex)
name = perf

$(name).pdf: $(texfiles)
	xelatex $(name).tex

notes.pdf: $(name).pdf
	pdfnup --outfile $@ --no-landscape --paper a4paper --frame true \
		--offset "0cm 1cm" --delta "1cm 2cm" --scale 0.85 --nup 2x3 $<

.PHONY: clean
clean:
	rm -f $(name).toc $(name).vrb $(name).snm $(name).nav $(name).log $(name).out $(name).aux

## slides 1.0.1

=== debian/changelog ===
slides (1.0.1-15) unstable; urgency=low

  * Moved to unstable

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Wed, 13 May 2015 12:41:53 +1000

slides (1.0.1-14) experimental; urgency=low

  * New maintainer (closes: #623271).
  * Upgraded to Debhelper 9/pybuild
  * Bumped standards version to 3.9.6
  * Added Vcs and Homepage fields to d/control
  * Changed dependencies
  * Added DEP-5 copyright
  * Extended the description of slides-doc
  * Updated source format to "3.0 (quilt)"

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Fri, 6 Feb 2015 15:33:36 +1100

slides (1.0.1-13) unstable; urgency=low

  * Orphan the package.
  * Build using dh_python2. Closes: #617063.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Apr 2011 23:21:00 +0200

slides (1.0.1-12.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:16:27 -0500

slides (1.0.1-12.1) unstable; urgency=low

  [ Luca Falavigna ]
  * Non-maintainer upload.
  * Python 2.6 transition (Closes: #547874).

  [ Bastian Venthur ]
  * Applied Luca's patch and uploaded it.
  * Bumped standards version (no changes)

 -- Bastian Venthur <venthur@debian.org>  Tue, 06 Oct 2009 10:08:17 +0200

slides (1.0.1-12) unstable; urgency=low

  * Add copyright notice.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jun 2008 01:12:49 +0200

slides (1.0.1-11) unstable; urgency=low

  * Conflict/replaces with python2.3-slides, python2.4-slides. Closes: #376127.

 -- Matthias Klose <doko@debian.org>  Sat,  1 Jul 2006 22:24:19 +0000

slides (1.0.1-10) unstable; urgency=low

  * Convert to the updated Python policy. Closes: #373384.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 00:31:14 +0000

slides (1.0.1-9) unstable; urgency=low

  * Drop python2.2 package, add python2.4 package.

 -- Matthias Klose <doko@debian.org>  Sat,  9 Apr 2005 21:13:59 +0200

slides (1.0.1-8) unstable; urgency=low

  * Convert packaging to use debhelper.
  * Fix python dependencies (closes: #302987).

 -- Matthias Klose <doko@debian.org>  Sat,  9 Apr 2005 20:48:48 +0200

slides (1.0.1-7) unstable; urgency=low

  * Fix typo in control file.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Apr 2005 23:44:42 +0200

slides (1.0.1-6) unstable; urgency=low

  * Fix typo in package description (bug submitter filed it three times,
    maybe the script should be fixed first, closes: #300033, #300036, #300037).

 -- Matthias Klose <doko@debian.org>  Sun,  3 Apr 2005 16:36:29 +0200

slides (1.0.1-5) unstable; urgency=low

  * Add watch file.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2004 20:12:57 +0200

slides (1.0.1-4) unstable; urgency=high

  * New maintainer (closes: #254795).
  * Update documentation strings (closes: #209763).
  * Drop python2.1-slides package.
  * Include generated html for the slides intro presentation (closes: #177265).

 -- Matthias Klose <doko@debian.org>  Sat, 14 Aug 2004 22:47:51 +0000

slides (1.0.1-3) unstable; urgency=low

  * QA Upload.
  * Grrr.  Really fix section for slides-doc this time.  

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 19:16:14 -0700

slides (1.0.1-2) unstable; urgency=low

  * QA Upload.
  * Set source section to python and set slides-doc section to doc to
    conform to override file.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 18:45:04 -0700

slides (1.0.1-1) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 18:16:22 -0700

slides (1.0.1-0.2) unstable; urgency=high

  * NMU
  * Reupload with priority high to speed up the python transtion.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Oct 2003 09:56:52 +0200

slides (1.0.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
  * Install into site-packages.
  * New python2.3-slides package.
  * Make python dependencies more robust.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Sep 2003 16:52:19 +0200

slides (1.0-2.1) unstable; urgency=low

  * 0-day non-maintainer upload according to RM's schedule
  * debian/python2.2-slides.postinst: Fixed python2.1 reference to python2.2
    (Closes: #203469)

 -- Roland Stigge <stigge@antcom.de>  Wed,  3 Sep 2003 15:07:18 +0200

slides (1.0-2) unstable; urgency=low

  * Python 2.1 -> Python 2.2 

 -- Moshe Zadka <moshez@debian.org>  Tue, 27 Aug 2002 18:44:59 +0300

slides (1.0-1) unstable; urgency=low

  * First Debian release (Closes: #150455)

 -- Moshe Zadka <moshez@debian.org>  Sun, 18 Jun 2002 18:22:43 +0300

=== debian/control ===
Source: slides
Section: python
Priority: optional
Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/slides/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-modules/packages/slides/trunk/
Homepage: http://itamarst.org/software/slides/

Package: python-slides
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: slides-doc
Conflicts: python2.3-slides, python2.4-slides
Replaces: python2.3-slides, python2.4-slides
Description: Python-based Slide Maker
 Slides is an LGPL slides generator, unique in that you write a Python program
 in order to create your presentation.  That is, you write a program that
 when run generates the slides for your presentation, currently in HTML.

Package: slides-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-slides
Description: Python-based Slide Maker -- documentation
 Slides is an LGPL slides generator, unique in that you write a Python program
 in order to create your presentation.  That is, you write a program that
 when run generates the slides for your presentation, currently in HTML.
 .
 This package contains example usages of slides.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=slides

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples -Nslides-doc
	dh_installexamples -pslides-doc examples/* sample.css
	PYTHONPATH=`pwd` sh -c "cd debian/slides-doc/usr/share/doc/slides-doc/examples/intro; ./make-presentation"

=== debian/watch ===
version=2
http://itamarst.org/software/slides/Slides-([\d\.]*)\.tar\.gz
